-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	-- load the building and business file
	C_RunScript("scripts\\maps\\apartmentrim.lua");
	-- load the initialprefs file
	C_RunScript("scripts\\scenario3\\initialpref.lua");
	Game.SetObjective(OBJECTIVE_SALES, 200);




--	Prompt list ------------------

--				No	Day	Hour Min

	if Game.GetDifficulty() == DIFFICULTY_EASY then
		RegisterPrompt(1, 1, 13, 15);
		RegisterPrompt(2, 1, 15, 30);
		RegisterPrompt(3, 1, 17, 00);
		RegisterPrompt(4, 1, 20, 00);
		RegisterPrompt(5, 1, 22, 00);
	end;
	
----------------------------------
	
end;


---------------------------------------------------------------------------------
-- Level. Standard level event.
---------------------------------------------------------------------------------
function EVENT_Level()
end;



--	Prompt data ------------------

function EVENT_CreatePrompt(a)
   PromptHeading = ID_TIP_PROMPT_5_TITLE_1 + ((a-1)*2);
	body = PromptHeading+1;

	if a == 1 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Be Aware", "You can quickly find out what other players have been doing. Check on the 'City View' and you will see opponents buildings displayed in their own colors..", 1);
	elseif a == 2 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Make Comparisons", "Now that there is another player involved, you can see how well you are doing compared to them. Cycle through the different topics in the 'Player Comparison Panel'.", 1);
	elseif a == 3 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Keeping Track", "All daytime stores are now closed for the day. You could select the block that your businesses are on and check their efficiency and profitability. Use the 'Efficiency' and 'Profit' buttons in 'Block Information'.", 1);
	elseif a == 4 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Changing Prices", "You can change the price that you sell your goods for. Select one of your businesses and click on the 'Business Adjustment' button. (+/-) You could also double click the business. If a store sells out early you may want to raise the prices. If it is failing to sell you could lower them.", 1);
	elseif a == 5 then
		Interface.CreatePrompt( PromptHeading, body, 1); --"Tip - Your Opposition", "Did you know you can see detailed information on your opponent's businesses? Select the business and click on the 'Business Adjustment' button.", 1);
	end
	Game.Pause()
end;

---------------------------------

-------------------------------------------------------------------------------------------------
-- HourlyUpdate event. Called everytime the game calendar ticks another hour over.
-------------------------------------------------------------------------------------------------
function CATCHEVENT_HourlyUpdate(a) -- takes the current hour as an argument
end;

function CATCHEVENT_InterfacePromptDismiss() -- takes the current hour as an argument
	Game.Unpause()
end;
